> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trlyr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get metadata for a physical asset category



## OpenAPI

````yaml https://api.trlyr.com/physical-assets/docs/doc.json get /physical-assets/{physicalAssetID}/metadata/{category}
openapi: 3.1.0
info:
  description: >
    This API manages physical assets on the terralayr platform: asset
    parameters, schedules, ancillary bids and results, metadata, logbook
    entries, unavailabilities, and EEX notifications. 
     
    Endpoints documented here require a valid Bearer token and the appropriate
    organisation permissions for the physical asset. 
     
    ### Authorization 
     
    All documented endpoints require a Bearer-type `Authorization` header: 
     
    ``` 

    Authorization: Bearer <YOUR_TOKEN> 

    ``` 
     
    Obtain a token via the Auth API: 
     
    ``` 

    POST https://api.trlyr.com/auth/public/authenticate 

    ``` 
     
    Example POST body: 
     
    ``` 

    { 
        "username": "YOUR_USERNAME", 
        "password": "YOUR_PASSWORD" 
    } 

    ``` 
     
     
    If you have any questions, contact support@trlyr.com. 
  title: terralayr Physical Assets API
  version: 1.0.0
servers:
  - description: Production API
    url: https://api.trlyr.com
  - description: Sandbox API
    url: https://api.sandbox.trlyr.com
security: []
tags:
  - name: health
  - name: physical-assets
  - name: schedule
  - name: ancillary
  - name: metadata
  - name: logbook
  - name: eex
externalDocs:
  description: ''
  url: ''
paths:
  /physical-assets/{physicalAssetID}/metadata/{category}:
    get:
      tags:
        - metadata
      summary: Get metadata for a physical asset category
      parameters:
        - description: Access token
          in: header
          name: Authorization
          required: true
          schema:
            default: Bearer <access token value>
            type: string
        - description: Physical asset ID
          in: path
          name: physicalAssetID
          required: true
          schema:
            format: uuid
            type: string
        - description: Metadata category
          in: path
          name: category
          required: true
          schema:
            enum:
              - ASSET
              - SITE
              - FINANCIAL
              - OPERATIONAL
              - ANCILLARY
              - STAKEHOLDER
              - METERING
              - TECHNICAL
              - PROJECT
              - CAPEX
              - SERVICE_FEE
              - DECOMMISSIONING
              - LIABILITY
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pkg_models_types.Metadata'
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  schemas:
    pkg_models_types.Metadata:
      properties:
        category:
          $ref: '#/components/schemas/pkg_models_types.MetadataCategory'
        data:
          items:
            type: integer
          type: array
          uniqueItems: false
        id:
          type: string
        physicalAssetId:
          type: string
      type: object
    pkg_models_types.MetadataCategory:
      enum:
        - ASSET
        - SITE
        - FINANCIAL
        - OPERATIONAL
        - ANCILLARY
        - STAKEHOLDER
        - METERING
        - TECHNICAL
        - PROJECT
        - CAPEX
        - SERVICE_FEE
        - DECOMMISSIONING
        - LIABILITY
      type: string
      x-enum-varnames:
        - PhysicalAssetData
        - SiteData
        - FinancialData
        - OperationalData
        - AncillaryData
        - StakeholderData
        - MeteringData
        - TechnicalData
        - ProjectData
        - CapexData
        - ServiceFeeData
        - DecommissioningData
        - LiabilityData

````